declare @guipadre as int
declare @uid as varchar(500)
select @guipadre =id from view_gui_funcionalidad where id_tipoFuncionalidad=3  and url='/forms/cnt/cnt_contrato.aspx'
select @uid=seg_usuario.uid from seg_usuario where id=1


--agregarTabConfiguracion
if not exists(select* from gui_funcionalidad where id_funcionalidad=@guipadre and funcionalidad='Configuracion' and nombreControl='inc_configuracion')
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@uid
           ,'01'
           ,1
           ,1
           ,GETDATE()
           ,GETDATE()
           ,1
           ,'Configuracion'
           ,''
           ,''
           ,''
           ,''
           ,''
           ,''
           ,0
           ,'inc_configuracion'
           ,''
           ,6
           ,@guipadre
           ,1)
           
end

declare @idfuncionalidad as int

if exists(select* from gui_funcionalidad where id_funcionalidad=@guipadre and nombreControl='inc_tiemposRespuesta' and id_tipoFuncionalidad=1)
begin 
update gui_funcionalidad set active=0 where id_tipofuncionalidad=1 and id_funcionalidad=@guipadre and nombreControl='inc_tiemposRespuesta'
select @idfuncionalidad=id from gui_funcionalidad where id_tipofuncionalidad=1 and id_funcionalidad=@guipadre and nombreControl='inc_tiemposRespuesta'
end
--tabla intermedia
if exists(select* from seg_perfil_funcionalidad where id_funcionalidad=@idfuncionalidad)
begin 
update seg_perfil_funcionalidad set active=0 where id_funcionalidad=@idfuncionalidad
end


if exists(select* from gui_funcionalidad where id_funcionalidad=@guipadre and nombreControl='inc_tiposServicio' and id_tipoFuncionalidad=1)
begin 
update gui_funcionalidad set active=0 where id_tipofuncionalidad=1 and id_funcionalidad=@guipadre and nombreControl='inc_tiposServicio'
select @idfuncionalidad=id from gui_funcionalidad where id_tipofuncionalidad=1 and id_funcionalidad=@guipadre and nombreControl='inc_tiposServicio'

end
--tabla intermedia
if exists(select* from seg_perfil_funcionalidad where id_funcionalidad=@idfuncionalidad)
begin 
update seg_perfil_funcionalidad set active=0 where id_funcionalidad=@idfuncionalidad
end


